<template>
  <UButton
    color="info"
    size="lg"
    variant="soft"
    @click="handleClick"
  >
    <template #leading>
      <UIcon name="i-heroicons-information-circle" />
    </template>
    Estado de Sesión
  </UButton>
</template>

<script setup lang="ts">
const { checkSessionStatus } = useAuthentik()

const handleClick = () => {
  checkSessionStatus()
}
</script>
